use clap::Parser;
use env_logger::Env;

use sea_battle_backend::args::Args;
use sea_battle_backend::server::start_server;

#[actix_web::main]
async fn main() -> std::io::Result<()> {
    env_logger::Builder::from_env(Env::default().default_filter_or("info")).init();

    start_server(Args::parse()).await
}
